
package org.openspml.browser;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import org.openspml.message.*;

public class DeletePanel extends RequestPanel {

    IdentifierPanel _identifier;

    public DeletePanel(State s) {
        super(s);

        addRequestIdPanel();

        _identifier = new IdentifierPanel();
        _identifier.addActionListener(this);
        _form.add("Identifier", _identifier);

        addSubmitButton();
    }

    public SpmlRequest getRequest() {

        DeleteRequest req = new DeleteRequest();
        req.setRequestId(_reqid.getRequestId());
        req.setAsynchronous(_reqid.isAsync());
        req.setIdentifier(_identifier.getIdentifier());

        return req;
    }



}
